/*about*/

.about-flipbox-001 .sppb-flipbox-front.flip-box:before,
.about-flipbox-001 .sppb-flipbox-back.flip-box:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: calc(100% - 30px);
    height: calc(100% - 30px);
    animation: linearGradientMove .5s infinite linear;
    background: 
        linear-gradient(90deg, #c32232 50%, transparent 0) repeat-x,
        linear-gradient(90deg, #c32232 50%, transparent 0) repeat-x,
        linear-gradient(0deg, #c32232 50%, transparent 0) repeat-y,
        linear-gradient(0deg, #c32232 50%, transparent 0) repeat-y;
    background-size: 15px 2px, 15px 2px, 2px 15px, 2px 15px;
    background-position: 0 0, 0 100%, 0 0, 100% 0;
}


@keyframes linearGradientMove {
    100% {
        background-position: 15px 0, -15px 100%, 0 -15px, 100% 15px;
    }
} 

.about-flipbox-001 { margin-bottom: 15px; }

.about-flipbox-001 .sppb-flipbox-front.flip-box i {
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    background: rgb(254 197 65 / 80%);
    backdrop-filter: blur(2px);
    color: #fff;
    border-radius: 100%;
}

.about-flipbox-001 .sppb-flipbox-front.flip-box .sppb-flipbox-front-title {
    margin-top: 10px;
    color: #c32232;
    /* text-shadow: 0 2px 6px #1a0000; */
    font-size: 20px;
    font-weight: 700;
    display: inline-block;
    background: #fff;
    padding: 2px 10px;
    border-radius: 5px;
}

.about-flipbox-001 .sppb-flipbox-back.flip-box {
    padding: 30px;
}

.about-flipbox-001 .sppb-flipbox-back-title {
    font-size: 26px;
    font-weight: 700;
    color: #bf1e2e;
    margin-bottom: 5px;
}

@media (max-width: 991px) {
    .about-flipbox-001 .sppb-flipbox-front-icon { font-size: 42px !important; }
    .about-flipbox-001 .sppb-flipbox-front.flip-box i { height: 80px; width: 80px; }
    .about-flipbox-001 .sppb-flipbox-front.flip-box .sppb-flipbox-front-title { font-size: 22px; }
}

/*end of about*/


/*program*/

.program-gallery-001 {
    margin-left: -10px;
    margin-right: -10px;
    position: relative;
}

.program-gallery-001 ul.sppb-gallery { justify-content: center !important; }

.program-gallery-001 .sppb-gallery li {
    width: 25%;
    padding: 10px;
}

@media (max-width: 991px) {
    .program-gallery-001 .sppb-gallery li { width: 50%; }
}

.program-gallery-001 .sppb-gallery li a { position: relative; height: 200px; }

@media (max-width: 767px) {
	.program-gallery-001 .sppb-gallery li a { height: 150px; }
}

.program-gallery-001 .sppb-gallery li a img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.program-gallery-001 .sppb-gallery li a:before,
.program-gallery-001 .sppb-gallery li a:after {
    content: "";
    position: absolute;
    top: -12px;
    left: -12px;
    right: -12px;
    bottom: -12px;
    border: 4px solid #fec541;
    animation: clippath 5s infinite linear;
    border-radius: 20px;
}

 .program-gallery-001 .sppb-gallery li a:after {
    animation: clippath 5s infinite -2.5s linear;
 }

@keyframes clippath {
    0%,
    100% {
        clip-path: inset(0 0 98% 0);
    }
    
    25% {
        clip-path: inset(0 98% 0 0);
    }
    50% {
        clip-path: inset(98% 0 0 0);
    }
    75% {
        clip-path: inset(0 0 0 98%);
    }
}

.program-ul-style ul {
    padding: 0;
    list-style-type: none;
}

.program-ul-style ul li {
    margin-bottom: 15px;
    padding-top: 4px;
    padding-left: calc(1.3em + 15px);
    position: relative;
    line-height: 1.5;
}

.program-ul-style ul li:before {
    content: "";
    position: absolute;
    width: 1.25em;
    height: 1.25em;
    top: 0.5em;
    left: 0;
    border-radius: unset;
    background: url(/images/0_KhalifaJunior/program/pencil.png);
    background-size: contain;
    background-repeat: no-repeat
}

.program-ul-style ul li strong {
    color: #bf1e2e;
}


.program-img-style-001 img {
    border: 5px solid #fff;
    box-shadow: 8px 8px 30px rgb(0 0 0 / 30%);
}

.program-img-style-001 {
    position: relative;
}

.program-img-style-001:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: calc(100% + 30px);
    height: calc(100% + 30px);
    animation: linearGradientMove .5s infinite linear;
    background: 
        linear-gradient(90deg, #c32232 50%, transparent 0) repeat-x,
        linear-gradient(90deg, #c32232 50%, transparent 0) repeat-x,
        linear-gradient(0deg, #c32232 50%, transparent 0) repeat-y,
        linear-gradient(0deg, #c32232 50%, transparent 0) repeat-y;
    background-size: 15px 3px, 15px 3px, 3px 15px, 3px 15px;
    background-position: 0 0, 0 100%, 0 0, 100% 0;
}


.program-icon-001 img {
    max-width: 90px;
    margin-bottom: 15px;
}

.program-icon-001 .sppb-media-content {
    color: #fff;
    letter-spacing: 0.5px;
}

.program-icon-001 .sppb-feature-box-title {
    margin: 0;
}

.program-icon-001 {
    margin-bottom: 30px;
}

/*end of program*/


/*facilities*/

.facilities-gallery-001 {
    margin-left: -10px;
    margin-right: -10px;
    position: relative;
}

.facilities-gallery-001 ul.sppb-gallery { justify-content: center !important; }

.facilities-gallery-001 .sppb-gallery li {
    width: 33.33%;
    padding: 10px;
}

@media (max-width: 991px) {
    .facilities-gallery-001 .sppb-gallery li { width: 100%; }
}

.facilities-gallery-001 .sppb-gallery li a { position: relative; height: 260px; }

.facilities-gallery-001 .sppb-gallery li a img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.facilities-gallery-001 .sppb-gallery li a:before,
.facilities-gallery-001 .sppb-gallery li a:after {
    content: "";
    position: absolute;
    top: -12px;
    left: -12px;
    right: -12px;
    bottom: -12px;
    border: 4px solid #bf1e2e;
    animation: clippath 5s infinite linear;
    border-radius: 20px;
}

 .facilities-gallery-001 .sppb-gallery li a:after {
    animation: clippath 5s infinite -2.5s linear;
 }


.facilities-gallery-002 {
    margin-left: -10px;
    margin-right: -10px;
    position: relative;
}

.facilities-gallery-002 ul.sppb-gallery { justify-content: center !important; }

.facilities-gallery-002 .sppb-gallery li {
    width: 33.33%;
    padding: 10px;
}

@media (max-width: 991px) {
    .facilities-gallery-002 .sppb-gallery li { width: 100%; }
}

.facilities-gallery-002 .sppb-gallery li a { position: relative; height: 260px; }

.facilities-gallery-002 .sppb-gallery li a img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.facilities-gallery-002 .sppb-gallery li a:before,
.facilities-gallery-002 .sppb-gallery li a:after {
    content: "";
    position: absolute;
    top: -12px;
    left: -12px;
    right: -12px;
    bottom: -12px;
    border: 4px solid #fec541;
    animation: clippath 5s infinite linear;
    border-radius: 20px;
}

 .facilities-gallery-002 .sppb-gallery li a:after {
    animation: clippath 5s infinite -2.5s linear;
 }


.facilities-icon-style img {
    max-width: 60px;
}

.facilities-icon-style .sppb-addon-content {
    text-align: center;
}

.facilities-icon-style .sppb-addon-single-image-container {
    background: #ffffff;
    padding: 25px;
    border-radius: 100%;
    box-shadow: 0 5px 30px rgb(0 0 0 / 20%);
    margin-bottom: 30px;
}

.facilities-icon-style .sppb-addon-single-image-container:before {
    content: "";
    position: absolute;
    top: -10px;
    left: -10px;
    height: calc(100% + 20px);
    width: calc(100% + 20px);
    border: 2px dashed #ffffff;
    border-radius: inherit;
    animation: spin 15s linear infinite;
}



.white-popup-block {
    max-width: 800px;
    max-height: 500px;
    overflow-y: scroll;
    border-radius: 15px;
    outline: 5px dashed #bf1e2e;
}

/*form*/

.bfQuickMode legend {
    font-size: 18px;
    border-bottom: 1px solid #ddd;
    padding-bottom: 5px;
    margin-bottom: 15px;
    margin-top: 20px;
    color: #bf1e2e;
}

.bfQuickMode .bfElemWrap .form-inline label, .bfQuickMode .bfElemWrap .form-inline label, .bfQuickMode .bfElemWrap .form-inline label {
    font-size: 15px;
    margin-bottom: 5px;
    display: block;
}

.bfQuickMode .bfElemWrap .form-inline input[type="text"], .bfQuickMode .bfElemWrap .form-inline input[type="number"], .bfQuickMode .bfElemWrap .form-inline textarea, .bfQuickMode .bfElemWrap .form-inline select {
    display: block;
    max-width: 100% !important;
}

.bfQuickMode .bfbs5-nonform-control, .bfQuickMode .nonform-control {
    width: 100% !important;
}

.bfQuickMode .btn {
    text-transform: uppercase;
    padding: 8px 15px;
    font-weight: 500;
}

/*end of form*/

